@use "mixins" as *;

button,
a {
  cursor: pointer;
  color: rgb(var(--black));
  text-decoration: none;
  outline: none;
  background-color: transparent;
}

p {
  margin: 0;
  padding: 0;
}

ul,
li,
menu {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

button {
  border: none;
  padding: 0;
}

* {
  box-sizing: border-box;
}

a {
  text-decoration: none;
}

strong,
b {
  font-weight: 900;
}

img {
  background-color: transparent;
  -khtml-user-select: none;
  -o-user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}

.backdrop {
  background: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(10px);
  height: 100vh;
  width: 100vw;
  position: fixed;
  z-index: 2;
  left: 0;
  top: 0;
  cursor: pointer;
}

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Old versions of Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}
